/*  $Id: Greater.h,v 1.3 1997/04/04 08:22:47 jan Exp $

    Part of XPCE
    Designed and implemented by Anjo Anjewierden and Jan Wielemaker
    E-mail: jan@swi.psy.uva.nl

    Copyright (C) 1993-1997 University of Amsterdam. All rights reserved.
*/

#ifndef _PCE_GREATER_H
#define _PCE_GREATER_H

PceExternalClass(ClassGreater);
class PceGreater :public PceObject
{
public:
  PceGreater(PceArg left, PceArg right) :
    PceObject(ClassGreater, left, right)
  {
  }
};

inline PceGreater
AsGreater(PceArg a)
{ return *((PceGreater*) &a);
}

#endif /*!_PCE_GREATER_H*/
